> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a pipeline



## OpenAPI

````yaml /openapi_v4_core.json get /v4/core/companies/{companyId}/pipelines/{id}
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/companies/{companyId}/pipelines/{id}:
    get:
      tags:
        - CRM
      summary: Get a pipeline
      operationId: get_pipelines
      parameters:
        - name: companyId
          in: path
          required: true
          description: Commenda company id.
          schema:
            type: integer
        - name: id
          in: path
          required: true
          description: The record's rootfi_id.
          schema:
            type: integer
        - name: expand
          in: query
          required: false
          description: Comma-separated related resources to expand.
          schema:
            type: string
      responses:
        '200':
          description: A single pipelines record.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/Pipeline'
                    required:
                      - data
                  request_id:
                    type: string
                required:
                  - data
                  - request_id
components:
  schemas:
    Pipeline:
      type: object
      properties:
        rootfi_id:
          type: integer
        rootfi_created_at:
          type: string
          format: date-time
        rootfi_updated_at:
          type: string
          format: date-time
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
        name:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          type: string
          format: date-time
          nullable: true
        stages:
          type: array
          items:
            $ref: '#/components/schemas/PipelineStage'
          nullable: true
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
      description: The Pipelines data model.
    PipelineStage:
      type: object
      properties:
        rootfi_id:
          type: integer
        rootfi_created_at:
          type: string
          format: date-time
        rootfi_updated_at:
          type: string
          format: date-time
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
        pipeline_id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        display_order:
          type: integer
          nullable: true
        probability:
          type: number
          nullable: true
        is_won:
          type: boolean
          nullable: true
        is_closed:
          type: boolean
          nullable: true
        created_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          type: string
          format: date-time
          nullable: true
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````